#pragma once

#include "util/simpleobject/AgString.h"
#include <map>
#include <boost/thread/mutex.hpp>

class PermissionCache
{
private:
	std::map<AgString, AgString> effectiveLevels;
    boost::mutex lock_;

public:
	AgString getLevel(const AgString& context);
	void cacheLevel(const AgString& context, const AgString& level);

	PermissionCache();
};

